
/* complex example of prettyprinted C code (extract from t1nodes.w) */


mlp = NULL;             /* init match list pointer */
mp = mlp;
hp = rp->right;         /* point |hp| to beginning of round list */
while (hp != NULL) {
    if (hp->type == matches) {
      if (mp == NULL) {       /* take this node as hew head */
            mp = new_node(); check_node(mp);
            mp->type = matches;
            mp->right = hp->right;
            mp->left = NULL;    /* terminate list */
            mlp = mp;
        } else {                /* add this one to the back */
            mp->left = new_node(); check_node(mp->left);
            mp = mp->left;
            mp->type = matches;
            mp->right = hp->right;
            mp->left = NULL;    /* terminate list */
        }
    }
    hp = hp->left;              /* look at next item of the list */
}

